Debian Bug report logs - #681176
live-boot: persistence mounting fails if live-persistence.conf contains "source=." stanza

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Nemo Inis <nemoinis@hotmail.com>

Date: Wed, 11 Jul 2012 06:15:02 UTC

Severity: important

Found in version live-boot/3.0~a35-1

Fixed in version live-boot/3.0~a37-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, nemoinis@hotmail.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#681176; Package live-boot. (Wed, 11 Jul 2012 06:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nemo Inis <nemoinis@hotmail.com>:
New Bug report received and forwarded. Copy sent to nemoinis@hotmail.com, Debian Live Project <debian-live@lists.debian.org>. (Wed, 11 Jul 2012 06:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nemo Inis <nemoinis@hotmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-boot: persistence mounting fails if live-persistence.conf contains "source=." stanza
Date: Tue, 10 Jul 2012 23:13:53 -0700
Package: live-boot
Version: 3.0~a35-1
Severity: important

live-boot fails to mount a persistence volume if the volume's live-
persistence.conf contains the "source=." stanza. It wrongly reports an unsafe
custom mount. Since that stanza is also automatically used for compatibility-
mode mounting of old home-rw and live-rw overlays, this bug may affect quite a
few people.

I believe the bug is a typo at line 1307 of lib/boot/misc-helpers.sh, which
reads:
   if echo ${opt_source} | grep -q -e "^/" -e "^\(.*/\)\?\.\.\?\(/.*\)\?$" && [
"${source}" != "." ]
but should read instead:
   if echo ${opt_source} | grep -q -e "^/" -e "^\(.*/\)\?\.\.\?\(/.*\)\?$" && [
"${opt_source}" != "." ]

This change fixed the problem for my wheezy live build.




-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#681176; Package live-boot. (Fri, 13 Jul 2012 02:40:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian-live@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 13 Jul 2012 02:41:17 GMT) Full text and rfc822 format available.

Message #10 received at 681176@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian-live@boum.org>
To: Nemo Inis <nemoinis@hotmail.com>
Cc: 681176@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#681176: live-boot: persistence mounting fails if live-persistence.conf contains "source=." stanza
Date: Thu, 12 Jul 2012 17:25:00 -0600
tags 681176 + pending
thanks

Hi,

Nemo Inis wrote (11 Jul 2012 06:13:53 GMT) :
> I believe the bug is a typo at line 1307 of lib/boot/misc-helpers.sh, which
> reads: [...]
> but should read instead: [...]

Fixed in Git, thanks!




Added tag(s) pending. Request was from intrigeri <intrigeri+debian-live@boum.org> to control@bugs.debian.org. (Fri, 13 Jul 2012 02:46:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 25 Jul 2012 15:51:06 GMT) Full text and rfc822 format available.

Notification sent to Nemo Inis <nemoinis@hotmail.com>:
Bug acknowledged by developer. (Wed, 25 Jul 2012 15:51:06 GMT) Full text and rfc822 format available.

Message #17 received at 681176-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 681176-close@bugs.debian.org
Subject: Bug#681176: fixed in live-boot 3.0~a37-1
Date: Wed, 25 Jul 2012 15:47:12 +0000
Source: live-boot
Source-Version: 3.0~a37-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681176@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 25 Jul 2012 17:18:06 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a37-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 681176
Changes: 
 live-boot (3.0~a37-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Cleaning up initramfs-tools hook.
 .
   [ Tails developers ]
   * Fixing persistence backward-compatibility mode (Closes: #681176).
 .
   [ Daniel Baumann ]
   * Making swap function self contained.
   * Making read-only function self contained.
   * Making verify-checksums function self contained.
   * Factoring out debug into an own function.
   * Extending read-only parameters to allow specifying custom list of
     devices.
   * Avoid re-access /proc/cmdline in select-eth-device function and use
     internal variable instead.
Checksums-Sha1: 
 69c7bc142245b94d4276dff9f780ec8d933559b3 1383 live-boot_3.0~a37-1.dsc
 c2c846668f8d0956909cad2162080806d195acde 59808 live-boot_3.0~a37.orig.tar.xz
 092660b78b9ed4dd21704455b666a8b89ab40374 20300 live-boot_3.0~a37-1.debian.tar.xz
 e23204635347aa101af3bd9e15caecd12e9c8d60 46978 live-boot_3.0~a37-1_all.deb
 c3e0e588f07e22a6abd6a4ba6037ba4a02903168 49856 live-boot-doc_3.0~a37-1_all.deb
 591e7269148f1b0ab8e88dc0cf783a4aecbc91fb 24046 live-boot-initramfs-tools_3.0~a37-1_all.deb
Checksums-Sha256: 
 02e3033f1fa7aef1d23fe93a63860a930d049d8c1623bc901fadde8867de3440 1383 live-boot_3.0~a37-1.dsc
 55733add3f1dc3d0c3a5fa11aee33770bf68a1087123b2fb37e3100c5c37e53a 59808 live-boot_3.0~a37.orig.tar.xz
 e5c7b0e8058bdbd57cf8fea93c33a70574e55d8ff62648217bd3a461427440ac 20300 live-boot_3.0~a37-1.debian.tar.xz
 21a078d62eb106b114d5b8fa624930548cd71e64974a24b392c834744d40db5f 46978 live-boot_3.0~a37-1_all.deb
 c3d9379dd5c90a429be75ca323969751576d33a2eb484ab8f53cf410596ee537 49856 live-boot-doc_3.0~a37-1_all.deb
 ae1911a5b255383d64ae155932e4399613aaf401f46a45d60b1a09ccbd5b764a 24046 live-boot-initramfs-tools_3.0~a37-1_all.deb
Files: 
 0067ab6727e9ed5c8833b45c1ac9063d 1383 misc optional live-boot_3.0~a37-1.dsc
 e6754f7acd9c8c29af04c4d851e803a3 59808 misc optional live-boot_3.0~a37.orig.tar.xz
 c0fa96f440c99114d340dd09ea3377e0 20300 misc optional live-boot_3.0~a37-1.debian.tar.xz
 ac16a9ff6a4a7e706dfa19a1a1a38d25 46978 misc optional live-boot_3.0~a37-1_all.deb
 e6c6cf7bcdebfdae1e81390dae5db377 49856 doc optional live-boot-doc_3.0~a37-1_all.deb
 65e9c337e2499be0f968480be0d9f363 24046 misc optional live-boot-initramfs-tools_3.0~a37-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlAQEL4ACgkQ+C5cwEsrK543dgCdGHZ5DKnCAsXGiRvr3+WxeOy/
9ycAn1jpJ7yJmwAgwa5TsXatVQePiN9+
=XyEd
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:27:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:42:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.